export default {
  path: "/videoParse",
  // redirect: "/error/403",
  meta: {
    icon: "videoT",
    title: "视频分析",
    showLink: true,
    rank: 10
  },
  children: [
    {
      path: "/videoList/index",
      name: "VideoListPage",
      component: () => import("@/views/videoList/index.vue"),
      meta: {
        title: "视频分析",
        keepAlive: true
      }
    },
    {
      path: "/videoParse/index",
      name: "VideoParsePage",
      component: () => import("@/views/videoParse/index.vue"),
      meta: {
        showLink: false,
        activePath: "/videoList/index",
        title: "视频详情"
      }
    }
  ]
} as RouteConfigsTable;
